# Konzept Findung
Das bestehende Projekt zur Ansteuerung der Lüftungsklappen in der [maker**space** Bocholt](https://makerspace-bocholt.de/) wird kommplet überarbeitet.


## Mögliche Use Cases

1. Steuerung der Lüfterklappen in der [maker**space** Bocholt](https://makerspace-bocholt.de/)

    Ein DC_Moter mit einer Untersetzung (z.B auf 8 Umdr/min) treibt die Klappen direkt an.
    Zwei Endschalter mit Diode begrenzen den Bewegungswinkel.
    Daher wird nur eine zwei adrige Leitung pro Klappe benötigt.

2. Steuerung von Schliessfächern über Elektromagnete.

    Je ein Elelktromagnet pro Schliesfach kann dieses durch einen Stromimpuls,
    von 1 Sekunde, öffnen.
    Die Steuerung braucht nur immer ein Elektromagnet ansteuern.
    Es werden **nie** mehrere Elektromagnete gleichzeitig angesteuert.

3. Steuerung von Schliessfächern über Modellbau Servos.

    Die Steuerung kann durch die Änderung des PWMs jeweils ein Modellbau Servo
    pro Schliesfach ansteuern.
    Die Steuerung braucht nur immer ein Servo ansteuern.
    Es werden **nie** mehrere Servos gleichzeitig angesteuert.

4. Steuerung von beliebigen Anwendungen über Modellbau Servos.

    Die Steuerung kann durch die Änderung des PWMs jedes ein Modellbau Servo
    einzeln ansteuern.
    Die Steuerung kann alle Servos gleichzeitig individuel ansteuern.

5. Steuerung der Druckluft von verschiedenen Arbeitsplätzen und Maschienen.

    Die Steuerung kann durch anlegen einer Spannung die Magnetventiele diese öffnen
    und durch abschalten der Spannnung schließen.
    Die Spannungen müssen an den einzelnen Magnetventielen unabhängig von
    einander gesteuert werden.

## Mögliche Komponenten

### Relais

1. [**Printrelais NIKKO** N4232A-012-Z1A-P (HG4232A) 12 V-, 1 Wechsler](https://www.pollin.de/p/printrelais-nikko-n4232a-012-z1a-p-hg4232a-12-v-1-wechsler-340546)
    
    - Pollin ab 5 Stück 0,60€
    
    - Technische Daten:
        - Spulenspannung: 12 V-
        - Spulenwiderstand: 180 Ω
        - Schaltkontakte: 1 Wechsler
        - Schaltstrom: 20 A
        - Schaltspannung: 14 V-
        - Maße (LxBxH): 22,5x16,5x17 mm

2. [**FUJITSU Relais**, F&T, F1CA024V, 24V, 2 Wechsler 5A 250V~](https://www.pollin.de/p/relais-fujitsu-f-t-f1ca024v-24v-2-wechsler-5a-250v-340953)
    
    - Pollin 0,75€
    - Versiegeltes Relais von Fujitsu für die direkte Printmontage.

    - Technische Daten:
        - Spulenspannung: 24 V-
        - Schaltleistung: 24V-/5 A, 250 V~/5 A
        - Kontakt: 2x Wechsler
        - Maße (LxBxH): 29x12x17 mm

### Servo Ansteuerung


3. [**PCA9685** 16 Kanal 12-bit PWM Servo i²c Modul](https://de.aliexpress.com/item/1005001608315934.html)

    - AliExpress 3,75€

    - Kann direkt 16 Modelbau Servos ansteuern.
    - Braucht nur bei Änderungen der Servo Stellung ansteuerung von der CPU sonst vollkommen autark.
    - Es können 64 Module über i²c angesprochen werden, das sind 996 Servos.

### Port Erweiterungen

4. [**MCP23017-E/SO** I/O-Erweiterung, 16bit, 1,8 - 5V, Seriell, I2C, SO-28](https://www.reichelt.de/i-o-erweiterung-16bit-1-8-5v-seriell-i2c-so-28-mcp23017-e-so-p282743.html)

5. **PCF8574** Remote 8-Bit I/O Expander for I
2C Bus

    - https://www.ti.com/lit/ds/symlink/pcf8574.pdf
    - https://de.aliexpress.com/item/32713904220.html

## Lizens

    - MIT?
